Display Tooltip on svg and canvas elements in EJ2 JavaScript Tooltip control

27 Feb 202510 minutes to read

The Tooltip can be displayed on both SVG and Canvas elements. You can directly attach the <svg> or <canvas> elements to show Tooltip on data visualization components.

SVG

Create an SVG square element and use the following code snippet to render the Tooltip on the SVG square.

let square: Tooltip = new Tooltip({
    cssClass: 'e-tooltip-css',
    content: 'SVG Square',
    target: '#square'
});
square.appendTo('#box');

Canvas

Create the canvas circle element and refer to the following code snippet to render the Tooltip on Canvas circle.

let circle: Tooltip = new Tooltip({
    cssClass: 'e-tooltip-css',
    content: 'Canvas Circle',
    target: '#circle'
});
circle.appendTo('#box');
//Render Tooltip component
var square = new ej.popups.Tooltip({
    cssClass: 'e-tooltip-css',
    content: 'SVG Square',
    target: '#square'
});
square.appendTo('#box');

var ellipse = new ej.popups.Tooltip({
    cssClass: 'e-tooltip-css',
    content: 'SVG Ellipse',
    target: '#ellipse'
});
ellipse.appendTo('#box');

var polyline = new ej.popups.Tooltip({
    cssClass: 'e-tooltip-css',
    content: 'SVG Polyline',
    target: '#polyline'
});
polyline.appendTo('#box');

var circle = new ej.popups.Tooltip({
    cssClass: 'e-tooltip-css',
    content: 'Canvas Circle',
    target: '#circle'
});
circle.appendTo('#box');

var triangle = new ej.popups.Tooltip({
    cssClass: 'e-tooltip-css',
    content: 'Canvas Triangle',
    target: '#triangle'
});

triangle.appendTo('#box');
var canvas = document.getElementById('triangle');
var context;
if (canvas.getContext) {
    context = canvas.getContext('2d');
    context.beginPath();
    context.moveTo(0, 50);
    context.lineTo(100, 50);
    context.lineTo(50, 0);
    context.fillStyle = "#FDA600";
    context.fill();
}
canvas = document.getElementById('circle');
context = canvas.getContext('2d');
var centerX = canvas.width / 2;
var centerY = canvas.height / 2;
var radius = 30;
context.beginPath();
context.arc(centerX, centerY, radius, 0, 2 * Math.PI, false);
context.fillStyle = '#0450C2';
context.fill();
<!DOCTYPE html>
<html lang="en">

<head>
  <title>EJ2 Tooltip</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta name="description" content="Typescript UI Controls">
  <meta name="author" content="Syncfusion">
  <link href="index.css" rel="stylesheet">
  <link href="https://cdn.syncfusion.com/ej2/30.1.37/ej2-base/styles/material.css" rel="stylesheet">
  <link href="https://cdn.syncfusion.com/ej2/30.1.37/ej2-popups/styles/material.css" rel="stylesheet">
  <link href="https://cdn.syncfusion.com/ej2/30.1.37/ej2-buttons/styles/material.css" rel="stylesheet">
  <script src="https://cdn.syncfusion.com/ej2/30.1.37/dist/ej2.min.js" type="text/javascript"></script>
<script src="https://cdn.syncfusion.com/ej2/syncfusion-helper.js" type ="text/javascript"></script>
</head>

<body>

  <div id="container">
    <div id="box" class="e-prevent-select">
      <div class="circletool" id="rectShape" style="left:1%;top:10%">
        <svg>
          <rect id="square" class="shape" x="50" y="20" width="50" height="50"
            style="fill:#FDA600;stroke:none;stroke-width:5;stroke-opacity:0.9"></rect>
        </svg>
      </div>
      <div class="circletool" id="ellipseShape" style="top:65%;">
        <svg>
          <ellipse id="ellipse" class="shape" cx="100" cy="50" rx="20" ry="40"
            style="fill:#0450C2;stroke:none;stroke-width:2"></ellipse>
        </svg>
      </div>
      <div class="circletool" id="polyShape" style="top:25%;left:40%">
        <svg>
          <polyline id="polyline" class="shape" points="0,40 40,40 40,80 80,80 80,120 120,120 120,160"
            style="fill:#ffffff;stroke:#0450C2;stroke-width:4"></polyline>
        </svg>
      </div>
      <div class="circletool" id="circleShape" style="top:16%;left:72%">
        <canvas id="circle" class="shape" width="60" height="60"></canvas>
      </div>
      <div class="circletool" id="triShape" style="top:73%;left:76%">
        <canvas id="triangle" class="shape" width="100" height="50"></canvas>
      </div>
    </div>
  </div>

  <script>
    var ele = document.getElementById('container');
    if (ele) {
      ele.style.visibility = "visible";
    }   
  </script>
  <script src="index.js" type="text/javascript"></script>
  <style>
    @media (max-width: 500px) {
      #rectShape {
        /* csslint ignore:start */
        left: -11% !important;
        /* csslint ignore:end */
      }

      #ellipseShape {
        /* csslint ignore:start */
        left: -20% !important;
        /* csslint ignore:end */
      }

      #polyShape {
        /* csslint ignore:start */
        left: 28% !important;
        /* csslint ignore:end */
      }

      #circleShape {
        /* csslint ignore:start */
        left: 68% !important;
        /* csslint ignore:end */
      }

      #triShape {
        /* csslint ignore:start */
        left: 65% !important;
        /* csslint ignore:end */
      }
    }

    @media (min-width: 500px) and (max-width: 600px) {
      #triShape {
        /* csslint ignore:start */
        left: 70% !important;
        /* csslint ignore:end */
      }
    }

    #container {
      width: 80%;
      margin: 0 auto;
    }

    .e-tooltip-css {
      filter: drop-shadow(2px 5px 5px rgba(0, 0, 0, 0.25));
    }

    #control-container {
      /* csslint ignore:start */
      padding: 0 !important;
      /* csslint ignore:end */
    }

    #box {
      border: 1px solid #dddddd;
      background: #ffffff;
      box-sizing: border-box;
      height: 320px;
      position: relative;
    }

    .circletool {
      position: absolute;
    }
  </style>
</body>

</html>
#container {
  visibility: hidden;
}

#loader {
  color: #008cff;
  height: 40px;
  left: 45%;
  position: absolute;
  top: 45%;
  width: 30%;
}

Syncfusion AI Assistant

How can I help you?

Display tooltip on svg and canvas elements in Vue Tooltip component

26 Dec 202424 minutes to read

Tooltip can be displayed on both the SVG and Canvas elements. You can directly attach the <svg> or <canvas> elements to show tooltips on data visualization elements.

SVG

Create an SVG square element and refer to the following code snippet to render the tooltip on the SVG square.

<ejs-tooltip target='#square'  cssClass='e-tooltip-css' content='SVG Square'>
    <svg>
    <rect id="square" class="shape" x="50" y="20" width="50" height="50" style="fill:#FDA600;stroke:none;stroke-width:5;stroke-opacity:0.9" />
    </svg>
</ejs-tooltip>

Canvas

Create a canvas circle element and refer to the following code snippet to render the tooltip on the Canvas circle.

<ejs-tooltip target='#circle'  cssClass='e-tooltip-css' content='Canvas Circle'>
    <canvas id="circle" class="shape" width="60" height="60"></canvas>
</ejs-tooltip>
<template>
    <div id='app'>
        <ejs-tooltip target='#square'  cssClass='e-tooltip-css' content='SVG Square'>
            <ejs-tooltip target='#ellipse'  cssClass='e-tooltip-css' content='SVG Ellipse'>
                <ejs-tooltip target='#polyline'  cssClass='e-tooltip-css' content='SVG Polyline'>
                    <ejs-tooltip target='#circle'  cssClass='e-tooltip-css' content='Canvas Circle'>
                        <ejs-tooltip target='#triangle'  cssClass='e-tooltip-css' content='Canvas Triangle'>
                            <div id="box" class="e-prevent-select">
                                <div class="circletool" id="rectShape" style="left:1%;top:10%">
                                        <svg>
                                        <rect id="square" class="shape" x="50" y="20" width="50" height="50" style="fill:#FDA600;stroke:none;stroke-width:5;stroke-opacity:0.9" />
                                        </svg>
                                </div>
                                <div class="circletool" id="ellipseShape" style="top:65%;">
                                    <svg>
                                        <ellipse id="ellipse" class="shape" cx="100" cy="50" rx="20" ry="40" style="fill:#0450C2;stroke:none;stroke-width:2" />
                                    </svg>
                                </div>
                                <div class="circletool" id="polyShape" style="top:25%;left:40%">
                                    <svg>
                                        <polyline id="polyline" class="shape" points="0,40 40,40 40,80 80,80 80,120 120,120 120,160" style="fill:#ffffff;stroke:#0450C2;stroke-width:4" />
                                    </svg>
                                </div>
                                <div class="circletool" id="circleShape" style="top:16%;left:72%">
                                    <canvas id="circle" ref="circle" class="shape" width="60" height="60"></canvas>
                                </div>
                                <div class="circletool" id="triShape" style="top:73%;left:76%">
                                    <canvas id="triangle" ref="triangle" class="shape" width="100" height="50"></canvas>
                                </div>
                            </div>
                        </ejs-tooltip>
                    </ejs-tooltip>
                </ejs-tooltip>
            </ejs-tooltip>
        </ejs-tooltip>
    </div>
</template>

<script setup>
import { TooltipComponent as EjsTooltip} from '@syncfusion/ej2-vue-popups';
import { onMounted, ref } from 'vue';

const triangle = ref(null);
const circle = ref(null);

  onMounted(()=> {
      let canvas = triangle.value;
      let context;
      if (canvas.getContext) {
          context = canvas.getContext('2d');
          context.beginPath();
          context.moveTo(0, 50);
          context.lineTo(100, 50);
          context.lineTo(50, 0);
          context.fillStyle = "#FDA600";
          context.fill();
      }
      canvas = circle.value;
      context = canvas.getContext('2d');
      let centerX = canvas.width / 2;
      let centerY = canvas.height / 2;
      let radius = 30;
      context.beginPath();
      context.arc(centerX, centerY, radius, 0, 2 * Math.PI, false);
      context.fillStyle = '#0450C2';
      context.fill();
  });
</script>
<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-popups/styles/material.css";

@media (max-width: 500px) {
    #rectShape {        
        left: -11% !important;        
    }

    #ellipseShape {        
        left: -20% !important;        
    }

    #polyShape {        
        left: 28% !important;        
    }

    #circleShape {        
        left: 68% !important;        
    }

    #triShape {        
        left: 65% !important;        
    }
}

@media (min-width: 500px) and (max-width: 600px) {
    #triShape {        
        left: 70% !important;        
    }
}

#container {
    width: 80%;
    margin: 0 auto;
}

.e-tooltip-css {
    filter: drop-shadow(2px 5px 5px rgba(0, 0, 0, 0.25));
}

#control-container {
    
    padding: 0 !important;
    
}

#box {
    border: 1px solid #dddddd;
    background: #ffffff;
    box-sizing: border-box;
    height: 330px;
    position: relative;
}

.circletool {
    position: absolute;
}

</style>
<template>
    <div id='app'>
        <ejs-tooltip target='#square' cssClass='e-tooltip-css' content='SVG Square'>
            <ejs-tooltip target='#ellipse' cssClass='e-tooltip-css' content='SVG Ellipse'>
                <ejs-tooltip target='#polyline' cssClass='e-tooltip-css' content='SVG Polyline'>
                    <ejs-tooltip target='#circle' cssClass='e-tooltip-css' content='Canvas Circle'>
                        <ejs-tooltip target='#triangle' cssClass='e-tooltip-css' content='Canvas Triangle'>
                            <div id="box" class="e-prevent-select">
                                <div class="circletool" id="rectShape" style="left:1%;top:10%">
                                    <svg>
                                        <rect id="square" class="shape" x="50" y="20" width="50" height="50"
                                            style="fill:#FDA600;stroke:none;stroke-width:5;stroke-opacity:0.9" />
                                    </svg>
                                </div>
                                <div class="circletool" id="ellipseShape" style="top:65%;">
                                    <svg>
                                        <ellipse id="ellipse" class="shape" cx="100" cy="50" rx="20" ry="40"
                                            style="fill:#0450C2;stroke:none;stroke-width:2" />
                                    </svg>
                                </div>
                                <div class="circletool" id="polyShape" style="top:25%;left:40%">
                                    <svg>
                                        <polyline id="polyline" class="shape"
                                            points="0,40 40,40 40,80 80,80 80,120 120,120 120,160"
                                            style="fill:#ffffff;stroke:#0450C2;stroke-width:4" />
                                    </svg>
                                </div>
                                <div class="circletool" id="circleShape" style="top:16%;left:72%">
                                    <canvas id="circle" ref="circle" class="shape" width="60" height="60"></canvas>
                                </div>
                                <div class="circletool" id="triShape" style="top:73%;left:76%">
                                    <canvas id="triangle" ref="triangle" class="shape" width="100" height="50"></canvas>
                                </div>
                            </div>
                        </ejs-tooltip>
                    </ejs-tooltip>
                </ejs-tooltip>
            </ejs-tooltip>
        </ejs-tooltip>
    </div>
</template>

<script>
import { TooltipComponent } from '@syncfusion/ej2-vue-popups';

export default {
    name: "App",
    components: {
        "ejs-tooltip": TooltipComponent
    },
    data: function () {
        return {
        };
    },
    mounted: function () {
        let canvas = this.$refs.triangle;
        let context;
        if (canvas.getContext) {
            context = canvas.getContext('2d');
            context.beginPath();
            context.moveTo(0, 50);
            context.lineTo(100, 50);
            context.lineTo(50, 0);
            context.fillStyle = "#FDA600";
            context.fill();
        }
        canvas = this.$refs.circle;
        context = canvas.getContext('2d');
        let centerX = canvas.width / 2;
        let centerY = canvas.height / 2;
        let radius = 30;
        context.beginPath();
        context.arc(centerX, centerY, radius, 0, 2 * Math.PI, false);
        context.fillStyle = '#0450C2';
        context.fill();
    }
}
</script>
<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-popups/styles/material.css";

@media (max-width: 500px) {
    #rectShape {        
        left: -11% !important;        
    }

    #ellipseShape {        
        left: -20% !important;        
    }

    #polyShape {        
        left: 28% !important;        
    }

    #circleShape {        
        left: 68% !important;        
    }

    #triShape {        
        left: 65% !important;        
    }
}

@media (min-width: 500px) and (max-width: 600px) {
    #triShape {        
        left: 70% !important;        
    }
}

#container {
    width: 80%;
    margin: 0 auto;
}

.e-tooltip-css {
    filter: drop-shadow(2px 5px 5px rgba(0, 0, 0, 0.25));
}

#control-container {
    
    padding: 0 !important;
    
}

#box {
    border: 1px solid #dddddd;
    background: #ffffff;
    box-sizing: border-box;
    height: 330px;
    position: relative;
}

.circletool {
    position: absolute;
}
</style>

Syncfusion AI Assistant

How can I help you?

Display Angular Tooltip component on SVG and canvas elements

26 Feb 20269 minutes to read

The Tooltip component can display on both SVG and canvas elements. Attach <svg> or <canvas> elements directly to show tooltips on data visualization elements.

SVG

Create an SVG square element and use the following code snippet to render the tooltip on the SVG square.

<ejs-tooltip cssClass='e-tooltip-css' content='SVG Square' target='#square'>
    <svg>
        <rect id="square" class="shape" x="50" y="20" width="50" height="50" style="fill:#FDA600;stroke:none;stroke-width:5;stroke-opacity:0.9" />
    </svg>
</ejs-tooltip>

Canvas

Create a canvas circle element and use the following code snippet to render the tooltip on the canvas circle.

<ejs-tooltip cssClass='e-tooltip-css' content='Canvas Circle' target='#circle'>
    <canvas #circle id="circle" class="shape" width="60" height="60"></canvas>
</ejs-tooltip>
import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { TooltipModule } from '@syncfusion/ej2-angular-popups'
import { Component, ViewChild, ViewEncapsulation, ElementRef } from '@angular/core';
import { TooltipComponent } from '@syncfusion/ej2-angular-popups';

@Component({
  imports: [
    TooltipModule
  ],
  standalone: true,
  selector: 'my-app',
  template: `
      <div id="box">
        <div class="circletool" id="rectShape" style="left:1%;top:10%">
          <ejs-tooltip cssClass='e-tooltip-css' content='SVG Square' target='#square'>
              <svg>
                <rect id="square" class="shape" x="50" y="20" width="50" height="50" style="fill:#FDA600;stroke:none;stroke-width:5;stroke-opacity:0.9" />
              </svg>
          </ejs-tooltip>
        </div>

        <div class="circletool" id="ellipseShape" style="top:63%;">
          <ejs-tooltip cssClass='e-tooltip-css' content='SVG Ellipse' target='#ellipse'>
              <svg>
                <ellipse id="ellipse" class="shape" cx="100" cy="50" rx="20" ry="40" style="fill:#0450C2;stroke:none;stroke-width:2" />
              </svg>
          </ejs-tooltip>
        </div>

        <div class="circletool" id="polyShape" style="top:25%;left:40%">
          <ejs-tooltip cssClass='e-tooltip-css'  content='SVG Polyline' target='#polyline'>
              <svg>
                <polyline id="polyline" class="shape" points="0,40 40,40 40,80 80,80 80,120 120,120 120,160" style="fill:#ffffff;stroke:#0450C2;stroke-width:4" />
              </svg>
          </ejs-tooltip>
        </div>

        <div class="circletool" id="circleShape" style="top:16%;left:72%">
          <ejs-tooltip cssClass='e-tooltip-css' content='Canvas Circle' target='#circle'>
            <canvas #circle id="circle" class="shape" width="60" height="60"></canvas>
          </ejs-tooltip>
        </div>

        <div class="circletool" id="triShape" style="top:73%;left:76%">
          <ejs-tooltip cssClass='e-tooltip-css' content='Canvas Triangle' target='#triangle'>
            <canvas #triangle id="triangle" class="shape" width="100" height="50"></canvas>
          </ejs-tooltip>
        </div>
      </div>
    `,
  encapsulation: ViewEncapsulation.None,
})

export class AppComponent {
  public context?: any;
  public circlecontext?: any;
  @ViewChild('triangle') canvasRef: ElementRef | any;
  @ViewChild('circle') circleRef: ElementRef | any;
  ngOnInit() {
    if (this.canvasRef.nativeElement.getContext) {
      this.context = this.canvasRef.nativeElement.getContext('2d');
      this.context.beginPath();
      this.context.moveTo(0, 50);
      this.context.lineTo(100, 50);
      this.context.lineTo(50, 0);
      this.context.fillStyle = "#FDA600";
      this.context.fill();
    }
    this.circlecontext = this.circleRef.nativeElement.getContext('2d');
    let centerX: number = this.circleRef.nativeElement.width / 2;
    let centerY: number = this.circleRef.nativeElement.height / 2;
    let radius: number = 30;
    this.circlecontext.beginPath();
    this.circlecontext.arc(centerX, centerY, radius, 0, 2 * Math.PI, false);
    this.circlecontext.fillStyle = '#0450C2';
    this.circlecontext.fill();
  }
}
@import 'node_modules/@syncfusion/ej2-base/styles/material3.css';
@import 'node_modules/@syncfusion/ej2-angular-base/styles/material3.css';
@import 'node_modules/@syncfusion/ej2-angular-popups/styles/material3.css';

#loader {
    color: #008cff;
    font-family: 'Helvetica Neue', 'calibiri';
    font-size: 16px;
    height: 40px;
    left: 45%;
    position: absolute;
    top: 45%;
    width: 30%;
}

@media (max-width: 500px) {
    #rectShape {
        /* csslint ignore:start */
        left: -8% !important;
        /* csslint ignore:end */
    }

    #ellipseShape {
        /* csslint ignore:start */
        left: -15% !important;
        /* csslint ignore:end */
    }

    #polyShape {
        /* csslint ignore:start */
        left: 28% !important;
        /* csslint ignore:end */
    }

    #circleShape {
        /* csslint ignore:start */
        left: 68% !important;
        /* csslint ignore:end */
    }

    #triShape {
        /* csslint ignore:start */
        left: 65% !important;
        /* csslint ignore:end */
    }
}

@media (min-width: 500px) and (max-width: 600px) {
    #triShape {
        /* csslint ignore:start */
        left: 70% !important;
        /* csslint ignore:end */
    }
}

#container {
    width: 80%;
    margin: 0 auto;
}

.e-tooltip-css {
    filter: drop-shadow(2px 5px 5px rgba(0, 0, 0, 0.25));
}

#control-container {
    /* csslint ignore:start */
    padding: 0 !important;
    /* csslint ignore:end */
}

#box {
    border: 1px solid #dddddd;
    margin: 40px 15px;
    background: #ffffff;
    box-sizing: border-box;
    height: 350px;
    position: relative;
}

.circletool {
    position: absolute;
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Display Tooltip on svg and canvas elements in React Tooltip component

13 Apr 202624 minutes to read

Tooltips can be displayed on both SVG and Canvas elements. Tooltips can be attached directly to <svg> or <canvas> elements to display them on data visualization elements.

SVG

To render a Tooltip on an SVG square, first create the SVG square element, then use the following code snippet.

  <TooltipComponent content='SVG Square' cssClass='e-tooltip-css' target= '#square'>
  </TooltipComponent>

Canvas

To render a Tooltip on a Canvas circle, first create the canvas circle element, then use the following code snippet.

<TooltipComponent content='Canvas Circle' cssClass='e-tooltip-css' target= '#circle'>
  </TooltipComponent>
import * as React from 'react';
import { TooltipComponent } from '@syncfusion/ej2-react-popups';
function App() {
  React.useEffect(() => {
    componentDidMount();
  }, []);
  let circleRef = null;
  let triRef = null;
  function componentDidMount() {
    const circle = circleRef;
    const tri = triRef;
    let context;
    if (tri.getContext) {
      context = tri.getContext("2d");
      context.beginPath();
      context.moveTo(0, 50);
      context.lineTo(100, 50);
      context.lineTo(50, 0);
      context.fillStyle = "#FDA600";
      context.fill();
    }
    if (circle.getContext) {
      context = circle.getContext("2d");
      let centerX = circle.width / 2;
      let centerY = circle.height / 2;
      let radius = 30;
      context.beginPath();
      context.arc(centerX, centerY, radius, 0, 2 * Math.PI, false);
      context.fillStyle = "#0450C2";
      context.fill();
    }
  }
  return (<div id="container">
    <TooltipComponent content="SVG Ellipse" cssClass="e-tooltip-css" target="#ellipse">
      <TooltipComponent content="SVG Polyline" cssClass="e-tooltip-css" target="#polyline">
        <TooltipComponent content="Canvas Circle" cssClass="e-tooltip-css" target="#circle">
          <TooltipComponent content="Canvas Triangle" cssClass="e-tooltip-css" target="#triangle">
            <TooltipComponent content="SVG Square" cssClass="e-tooltip-css" target="#square">
              <div id="box" className="e-prevent-select">
                <div className="circletool" id="rectShape" style={{ left: "1%", top: "10%" }}>
                  <svg>
                    <rect id="square" className="shape" x="50" y="20" width="50" height="50" style={{
                      fill: "#FDA600",
                      stroke: "none",
                      strokeWidth: "5",
                      strokeOpacity: 0.9
                    }} />
                  </svg>
                </div>
                <div className="circletool" id="ellipseShape" style={{ top: "65%" }}>
                  <svg>
                    <ellipse id="ellipse" className="shape" cx="100" cy="50" rx="20" ry="40" style={{
                      fill: "#0450C2",
                      stroke: "none",
                      strokeWidth: "2"
                    }} />
                  </svg>
                </div>
                <div className="circletool" id="polyShape" style={{ top: "25%", left: "40%", position: "absolute" }}>
                  <svg>
                    <polyline id="polyline" className="shape" points="0,40 40,40 40,80 80,80 80,120 120,120 120,160" style={{
                      fill: "#ffffff",
                      stroke: "#0450C2",
                      strokeWidth: "4"
                    }} />
                  </svg>
                </div>
                <div className="circletool" id="circleShape" style={{ top: "16%", left: "72%", position: "absolute" }}>
                  <canvas id="circle" ref={(circle) => (circleRef = circle)} className="shape" width="60" height="60" />
                </div>
                <div className="circletool" id="triShape" style={{ top: "73%", left: "76%" }}>
                  <canvas id="triangle" ref={(tri) => (triRef = tri)} className="shape" width="100" height="50" />
                </div>
              </div>
            </TooltipComponent>
          </TooltipComponent>
        </TooltipComponent>
      </TooltipComponent>
    </TooltipComponent>
  </div>);
}
export default App;
import * as React from 'react';
import { TooltipComponent } from '@syncfusion/ej2-react-popups';

function App() {
  React.useEffect(() => {
    componentDidMount();
  }, [])
  let circleRef = null;
  let triRef = null;
  function componentDidMount() {
    const circle: any = circleRef;
    const tri: any = triRef;
    let context;
    if (tri.getContext) {
      context = tri.getContext("2d");
      context.beginPath();
      context.moveTo(0, 50);
      context.lineTo(100, 50);
      context.lineTo(50, 0);
      context.fillStyle = "#FDA600";
      context.fill();
    }
    if (circle.getContext) {
      context = circle.getContext("2d");
      let centerX: number = circle.width / 2;
      let centerY: number = circle.height / 2;
      let radius: number = 30;
      context.beginPath();
      context.arc(centerX, centerY, radius, 0, 2 * Math.PI, false);
      context.fillStyle = "#0450C2";
      context.fill();
    }
  }
  return (
    <div id="container">
      <TooltipComponent content="SVG Ellipse" cssClass="e-tooltip-css" target="#ellipse">
        <TooltipComponent content="SVG Polyline" cssClass="e-tooltip-css" target="#polyline">
          <TooltipComponent
            content="Canvas Circle"
            cssClass="e-tooltip-css"
            target="#circle"
          >
            <TooltipComponent
              content="Canvas Triangle"
              cssClass="e-tooltip-css"
              target="#triangle"
            >
              <TooltipComponent
                content="SVG Square"
                cssClass="e-tooltip-css"
                target="#square"
              >
                <div id="box" className="e-prevent-select">
                  <div
                    className="circletool"
                    id="rectShape"
                    style={{ left: "1%", top: "10%" }}
                  >
                    <svg>
                      <rect
                        id="square"
                        className="shape"
                        x="50"
                        y="20"
                        width="50"
                        height="50"
                        style={{
                          fill: "#FDA600",
                          stroke: "none",
                          strokeWidth: "5",
                          strokeOpacity: 0.9
                        }}
                      />
                    </svg>
                  </div>
                  <div className="circletool" id="ellipseShape" style={{ top: "65%" }}>
                    <svg>
                      <ellipse
                        id="ellipse"
                        className="shape"
                        cx="100"
                        cy="50"
                        rx="20"
                        ry="40"
                        style={{
                          fill: "#0450C2",
                          stroke: "none",
                          strokeWidth: "2"
                        }}
                      />
                    </svg>
                  </div>
                  <div
                    className="circletool"
                    id="polyShape"
                    style={{ top: "25%", left: "40%", position: "absolute" }}
                  >
                    <svg>
                      <polyline
                        id="polyline"
                        className="shape"
                        points="0,40 40,40 40,80 80,80 80,120 120,120 120,160"
                        style={{
                          fill: "#ffffff",
                          stroke: "#0450C2",
                          strokeWidth: "4"
                        }}
                      />
                    </svg>
                  </div>
                  <div
                    className="circletool"
                    id="circleShape"
                    style={{ top: "16%", left: "72%", position: "absolute" }}
                  >
                    <canvas
                      id="circle"
                      ref={(circle) => ((circleRef as any) = circle)}
                      className="shape"
                      width="60"
                      height="60"
                    />
                  </div>
                  <div
                    className="circletool"
                    id="triShape"
                    style={{ top: "73%", left: "76%" }}
                  >
                    <canvas
                      id="triangle"
                      ref={(tri) => ((triRef as any) = tri)}
                      className="shape"
                      width="100"
                      height="50"
                    />
                  </div>
                </div>
              </TooltipComponent>
            </TooltipComponent>
          </TooltipComponent>
        </TooltipComponent>
      </TooltipComponent>
    </div>
  );
}
export default App;
import * as React from 'react';
import * as ReactDom from 'react-dom';
import { TooltipComponent } from '@syncfusion/ej2-react-popups';
function App() {
  React.useEffect(() => {
    componentDidMount();
  }, []);
  let circleRef = null;
  let triRef = null;
  function componentDidMount() {
    const circle = circleRef;
    const tri = triRef;
    let context;
    if (tri.getContext) {
      context = tri.getContext("2d");
      context.beginPath();
      context.moveTo(0, 50);
      context.lineTo(100, 50);
      context.lineTo(50, 0);
      context.fillStyle = "#FDA600";
      context.fill();
    }
    if (circle.getContext) {
      context = circle.getContext("2d");
      let centerX = circle.width / 2;
      let centerY = circle.height / 2;
      let radius = 30;
      context.beginPath();
      context.arc(centerX, centerY, radius, 0, 2 * Math.PI, false);
      context.fillStyle = "#0450C2";
      context.fill();
    }
  }
  return (<div id="container">
    <TooltipComponent content="SVG Ellipse" cssClass="e-tooltip-css" target="#ellipse">
      <TooltipComponent content="SVG Polyline" cssClass="e-tooltip-css" target="#polyline">
        <TooltipComponent content="Canvas Circle" cssClass="e-tooltip-css" target="#circle">
          <TooltipComponent content="Canvas Triangle" cssClass="e-tooltip-css" target="#triangle">
            <TooltipComponent content="SVG Square" cssClass="e-tooltip-css" target="#square">
              <div id="box" className="e-prevent-select">
                <div className="circletool" id="rectShape" style={{ left: "1%", top: "10%" }}>
                  <svg>
                    <rect id="square" className="shape" x="50" y="20" width="50" height="50" style={{
                      fill: "#FDA600",
                      stroke: "none",
                      strokeWidth: "5",
                      strokeOpacity: 0.9
                    }} />
                  </svg>
                </div>
                <div className="circletool" id="ellipseShape" style={{ top: "65%" }}>
                  <svg>
                    <ellipse id="ellipse" className="shape" cx="100" cy="50" rx="20" ry="40" style={{
                      fill: "#0450C2",
                      stroke: "none",
                      strokeWidth: "2"
                    }} />
                  </svg>
                </div>
                <div className="circletool" id="polyShape" style={{ top: "25%", left: "40%", position: "absolute" }}>
                  <svg>
                    <polyline id="polyline" className="shape" points="0,40 40,40 40,80 80,80 80,120 120,120 120,160" style={{
                      fill: "#ffffff",
                      stroke: "#0450C2",
                      strokeWidth: "4"
                    }} />
                  </svg>
                </div>
                <div className="circletool" id="circleShape" style={{ top: "16%", left: "72%", position: "absolute" }}>
                  <canvas id="circle" ref={(circle) => (circleRef = circle)} className="shape" width="60" height="60" />
                </div>
                <div className="circletool" id="triShape" style={{ top: "73%", left: "76%" }}>
                  <canvas id="triangle" ref={(tri) => (triRef = tri)} className="shape" width="100" height="50" />
                </div>
              </div>
            </TooltipComponent>
          </TooltipComponent>
        </TooltipComponent>
      </TooltipComponent>
    </TooltipComponent>
  </div>);
}
export default App;
ReactDom.render(<App />, document.getElementById('sample'));
import * as React from 'react';
import * as ReactDom from 'react-dom';
import { TooltipComponent } from '@syncfusion/ej2-react-popups';

function App() {
  React.useEffect(() => {
    componentDidMount();
  }, [])
  let circleRef = null;
  let triRef = null;
  function componentDidMount() {
    const circle: any = circleRef;
    const tri: any = triRef;
    let context;
    if (tri.getContext) {
      context = tri.getContext("2d");
      context.beginPath();
      context.moveTo(0, 50);
      context.lineTo(100, 50);
      context.lineTo(50, 0);
      context.fillStyle = "#FDA600";
      context.fill();
    }
    if (circle.getContext) {
      context = circle.getContext("2d");
      let centerX: number = circle.width / 2;
      let centerY: number = circle.height / 2;
      let radius: number = 30;
      context.beginPath();
      context.arc(centerX, centerY, radius, 0, 2 * Math.PI, false);
      context.fillStyle = "#0450C2";
      context.fill();
    }
  }
  return (
    <div id="container">
      <TooltipComponent content="SVG Ellipse" cssClass="e-tooltip-css" target="#ellipse">
        <TooltipComponent content="SVG Polyline" cssClass="e-tooltip-css" target="#polyline">
          <TooltipComponent
            content="Canvas Circle"
            cssClass="e-tooltip-css"
            target="#circle"
          >
            <TooltipComponent
              content="Canvas Triangle"
              cssClass="e-tooltip-css"
              target="#triangle"
            >
              <TooltipComponent
                content="SVG Square"
                cssClass="e-tooltip-css"
                target="#square"
              >
                <div id="box" className="e-prevent-select">
                  <div
                    className="circletool"
                    id="rectShape"
                    style={{ left: "1%", top: "10%" }}
                  >
                    <svg>
                      <rect
                        id="square"
                        className="shape"
                        x="50"
                        y="20"
                        width="50"
                        height="50"
                        style={{
                          fill: "#FDA600",
                          stroke: "none",
                          strokeWidth: "5",
                          strokeOpacity: 0.9
                        }}
                      />
                    </svg>
                  </div>
                  <div className="circletool" id="ellipseShape" style={{ top: "65%" }}>
                    <svg>
                      <ellipse
                        id="ellipse"
                        className="shape"
                        cx="100"
                        cy="50"
                        rx="20"
                        ry="40"
                        style={{
                          fill: "#0450C2",
                          stroke: "none",
                          strokeWidth: "2"
                        }}
                      />
                    </svg>
                  </div>
                  <div
                    className="circletool"
                    id="polyShape"
                    style={{ top: "25%", left: "40%", position: "absolute" }}
                  >
                    <svg>
                      <polyline
                        id="polyline"
                        className="shape"
                        points="0,40 40,40 40,80 80,80 80,120 120,120 120,160"
                        style={{
                          fill: "#ffffff",
                          stroke: "#0450C2",
                          strokeWidth: "4"
                        }}
                      />
                    </svg>
                  </div>
                  <div
                    className="circletool"
                    id="circleShape"
                    style={{ top: "16%", left: "72%", position: "absolute" }}
                  >
                    <canvas
                      id="circle"
                      ref={(circle) => ((circleRef as any) = circle)}
                      className="shape"
                      width="60"
                      height="60"
                    />
                  </div>
                  <div
                    className="circletool"
                    id="triShape"
                    style={{ top: "73%", left: "76%" }}
                  >
                    <canvas
                      id="triangle"
                      ref={(tri) => ((triRef as any) = tri)}
                      className="shape"
                      width="100"
                      height="50"
                    />
                  </div>
                </div>
              </TooltipComponent>
            </TooltipComponent>
          </TooltipComponent>
        </TooltipComponent>
      </TooltipComponent>
    </div>
  );
}
export default App;
ReactDom.render(<App />, document.getElementById('sample'));
#loader {
  color: #008cff;
  height: 40px;
  left: 45%;
  position: absolute;
  top: 45%;
  width: 30%;
}

@media (max-width: 500px) {
  #rectShape {
    /* csslint ignore:start */
    left: -11% !important;
    /* csslint ignore:end */
  }

  #ellipseShape {
    /* csslint ignore:start */
    left: -20% !important;
    /* csslint ignore:end */
  }

  #polyShape {
    /* csslint ignore:start */
    left: 28% !important;
    /* csslint ignore:end */
  }

  #circleShape {
    /* csslint ignore:start */
    left: 68% !important;
    /* csslint ignore:end */
  }

  #triShape {
    /* csslint ignore:start */
    left: 65% !important;
    /* csslint ignore:end */
  }
}

@media (min-width: 500px) and (max-width: 600px) {
  #triShape {
    /* csslint ignore:start */
    left: 70% !important;
    /* csslint ignore:end */
  }
}

#container {
  width: 80%;
  margin: 0 auto;
}

.e-tooltip-css {
  filter: drop-shadow(2px 5px 5px rgba(0, 0, 0, 0.25));
}

#control-container {
  /* csslint ignore:start */
  padding: 0 !important;
  /* csslint ignore:end */
}

#box {
  background: #ffffff;
  box-sizing: border-box;
  height: 320px;
  position: relative;
}

.circletool {
  position: absolute;
}
<!DOCTYPE html>
<html lang="en">

<head>
    <title>Syncfusion React Tooltip</title>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="description" content="Essential JS 2 for React Components" />
    <meta name="author" content="Syncfusion" />
    <link href="https://cdn.syncfusion.com/ej2/34.1.29/ej2-base/styles/tailwind3.css" rel="stylesheet" />
    <link href="https://cdn.syncfusion.com/ej2/34.1.29/ej2-react-popups/styles/tailwind3.css" rel="stylesheet" />
    <link href="https://cdn.syncfusion.com/ej2/34.1.29/ej2-react-buttons/styles/tailwind3.css" rel="stylesheet" />
    <link href="https://cdn.syncfusion.com/ej2/34.1.29/ej2-inputs/styles/tailwind3.css" rel="stylesheet" />
    <link href="index.css" rel="stylesheet" />
    <link href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" rel="stylesheet" />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.19.38/system.js"></script>
    <script src="systemjs.config.js"></script>
</head>

<body>
    <div id='sample'>
        <div id='loader'>Loading....</div>
    </div>
</body>

</html>